package eu.etaxonomy.taxeditor.editor.handler.defaultHandler;
import java.util.UUID;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.ui.PartInitException;

import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.editor.l10n.Messages;
import eu.etaxonomy.taxeditor.editor.view.derivate.DerivateViewEditorInput;
import eu.etaxonomy.taxeditor.handler.defaultHandler.DefaultOpenHandlerBase;
import eu.etaxonomy.taxeditor.model.MessagingUtils;
import eu.etaxonomy.taxeditor.store.CdmStore;


public class DefaultOpenSpecimenEditorForTypeSpecimenHandler extends
		DefaultOpenHandlerBase<SpecimenTypeDesignation> {

	@Override
	protected SpecimenTypeDesignation getEntity(UUID uuid) {
		return CdmStore.getCommonService().find(SpecimenTypeDesignation.class, uuid);
	}

	@Override
	protected void open(ExecutionEvent event, SpecimenTypeDesignation entity) {
        try {
            EditorUtil.open(new DerivateViewEditorInput(entity.getUuid()));
        } catch (PartInitException e) {
            MessagingUtils.error(DefaultOpenSpecimenEditorForTypeSpecimenHandler.class, Messages.DefaultOpenSpecimenEditorForTypeSpecimenHandler_COULD_NOT_OPEN, e);
        }		
	}

}
