package eu.etaxonomy.taxeditor.editor.view.checklist.filter;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.cdm.model.taxon.Taxon;

public class ChecklistEditorFilter extends ViewerFilter {

    private String searchString;

    public void setSearchText(String s) {
        // Search must be a substring of the existing value
        if(s.contains("*")){ //$NON-NLS-1$
            s=s.replace("*", ".*"); //$NON-NLS-1$ //$NON-NLS-2$
        }
        this.searchString = ".*" + s + ".*"; //$NON-NLS-1$ //$NON-NLS-2$
    }

    @Override
    public boolean select(Viewer viewer, Object parentElement, Object element) {
        if (searchString == null || searchString.length() == 0) {
            return true;
        }
        Taxon taxon = (Taxon) element;
        NonViralName<?> nonVirlaName = HibernateProxyHelper.deproxy(taxon.getName(), NonViralName.class);
      //  Reference reference = HibernateProxyHelper.deproxy(nonVirlaName.getNomenclaturalReference(), Reference.class);
      //  String rank = taxon.getName().getRank().toString();
        //TaxonName
        if (nonVirlaName.getNameCache()!=null && nonVirlaName.getNameCache().matches(searchString)) {
            return true;
        }
        //Author
//        if (nonVirlaName.getAuthorshipCache() != null && nonVirlaName.getAuthorshipCache().matches(searchString)) {
//            return true;
//        }
//        //Reference
//        if(reference != null && reference.getAbbrevTitleCache().matches(searchString)){
//            return true;
//        }
//        //Rank
//        if (rank != null && rank.matches(searchString)) {
//            return true;
//        }
        return false;
    }

}
