package eu.etaxonomy.taxeditor.editor.view.checklist.listener;

import org.eclipse.swt.events.FocusEvent;
import org.eclipse.swt.events.FocusListener;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.widgets.Text;

import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.editor.view.checklist.ChecklistEditor;
import eu.etaxonomy.taxeditor.preference.Resources;

public class ChecklistFocusListener implements FocusListener{

    private final Text searchText;
    private final ModifyListener modifyListener;

    public ChecklistFocusListener(Text searchText, ModifyListener modifyListener) {
        this.searchText = searchText;
        this.modifyListener = modifyListener;
    }


    @Override
    public void focusGained(FocusEvent e) {
        if (ChecklistEditor.TYPE_FILTER_TEXT.equals(searchText.getText())) {
            searchText.setForeground(EditorUtil.getColor(Resources.SEARCH_VIEW_FOCUS));
            searchText.setText(""); //$NON-NLS-1$
        }
    }

    @Override
    public void focusLost(FocusEvent e) {
        if ("".equals(searchText.getText())) { //$NON-NLS-1$
            //TODO: set demo string
            searchText.removeModifyListener(modifyListener);

            searchText.setForeground(EditorUtil.getColor(Resources.SEARCH_VIEW_FOREGROUND));
            searchText.setText(ChecklistEditor.TYPE_FILTER_TEXT);

            searchText.addModifyListener(modifyListener);
        }
    }



}
