/**
* Copyright (C) 2013 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.view.descriptive.operation;

import org.eclipse.core.commands.operations.IUndoContext;

import eu.etaxonomy.cdm.model.description.DescriptionBase;
import eu.etaxonomy.cdm.model.description.SpecimenDescription;
import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
import eu.etaxonomy.taxeditor.operation.AbstractDescriptionPostOperation;
import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;

/**
 * @author pplitzner
 * @date 04.12.2013
 *
 */
public class CreateSpecimenDescriptionOperation extends AbstractDescriptionPostOperation<SpecimenOrObservationBase, DescriptionBase> {

    /**
     * @param label
     * @param undoContext
     * @param describable
     * @param postOperationEnabled
     */
    public CreateSpecimenDescriptionOperation(String label, IUndoContext undoContext, SpecimenOrObservationBase<?> describable, IPostOperationEnabled postOperationEnabled) {
        super(label, undoContext, describable, postOperationEnabled);
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.operation.AbstractDescriptionPostOperation#initDescription()
     */
    @Override
    protected void initDescription() {
        description = SpecimenDescription.NewInstance(element);
    }

}
